/*
 * Copyright 2010 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __COMPRESS_H_INCLUDED__
#define __COMPRESS_H_INCLUDED__

#include <atl/string.h>

/******************************************************************************/
/**                      Node ID Compression Functions                       **/
/******************************************************************************/

String* compress_XOR16(Object *node);
String* compress_XOR32(Object *node);
String* compress_XOR64(Object *node);

String* compress_CRC16(Object *node);
String* compress_CRC32(Object *node);
String* compress_CRC64(Object *node);

#endif

