#!/bin/sh

echo START CONFIG_DIR=$CONFIG_DIR CLUSTER=$CLUSTER NODE=$NODE HOST=$HOST

. $CONFIG_DIR/clusters/$CLUSTER/cluster.conf

CMD="cd ${NODE_WORK}; PORT=$PORT TESTPARAMS=\"${TESTPARAMS} --testrun=$TESTRUN\" ./$TESTNAME.sh >$LOG_STDOUT 2>$LOG_STDERR" 
ssh -o GSSAPIAuthentication=no -f $USER@$HOST "$CMD"

echo START END
